OCAMLDEP(1)

NAME
ocamldep - Dependency generator for Objective Caml

SYNOPSIS
ocamldep [ -I lib-dir ] filename ...

DESCRIPTION
The ocamldep(1) command scans a set of Objective Caml source files (.ml and .mli files) for references to external compilation units, and outputs dependency lines in a format suitable for the make(1) utility. This ensures that make will compile the source files in the correct order, and recompile those files that need to when a source file is modified. The typical usage is:

ocamldep options *.mli *.ml > .depend

where .depend is the file that should contain the dependencies. Dependencies are generated both for compiling with the bytecode compiler ocamlc(1) and with the native-code compiler ocamlopt(1).

OPTIONS
The following command-line option is recognized by ocamldep(1).

-I directory
    Add the given directory to the list of directories searched for source files. If a source file foo.ml mentions an external compilation unit Bar, a dependency on that unit's interface bar.cmi is generated only if the source for bar is found in the current directory or in one of the directories specified with -I. Otherwise, Bar is assumed to be a module form the standard library, and no dependencies are generated. For programs that span multiple directories, it is recommended to pass ocamldep(1) the same -I options that are passed to the compiler.

SEE ALSO
ocamlc(1), ocamlopt(1).
The Objective Caml user's manual, chapter "Dependency generator".